Using a vagrant image from a previous version

  docker, vagrant
 varnish:
  image: varnish:6.0
  restart: always
  depends_on:
   - apache
  networks:
   - frontend
   - backend
   - traefik
  volumes:
   - ./docker/varnish:/etc/varnish
  ports:
   - 6081:6081

I need the previous version of vagrant, I think it’s version 3.0, but the vagrant box I am using doesn’t allow it. Is there another vagrant box I can use with a prior version, because the VCL completely changed and I can’t test out the default.vcl file from the previous version.

vcl 4.0;

backend default {
  .host = "apache:80";
}

This one works, but the one from production comes from an earlier version and vagrant version 6.0 throws an error when I am using the vcl file from production.

Source: Docker Questions

LEAVE A COMMENT